epp_HostStatusType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.host.epp_HostStatusType class

### org.openrtk.idl.epp0705.host

# Class epp_HostStatusType

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.host.epp_HostStatusType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostStatusType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of status types for host. Used in conjunction with the epp_HostStatus class to indicate the host status. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/host/epp_HostStatusType.java,v 1.1 2003/03/20 22:42:31 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:31 $

See Also:
  `epp_HostStatus`

  ## Field Summary
  `static epp_HostStatusType` | `CLIENT_DELETE_PROHIBITED` Instance of epp_HostStatusType representing the CLIENT_DELETE_PROHIBITED status type.
  `static epp_HostStatusType` | `CLIENT_UPDATE_PROHIBITED` Instance of epp_HostStatusType representing the CLIENT_UPDATE_PROHIBITED status type.
  `static epp_HostStatusType` | `LINKED` Instance of epp_HostStatusType representing the LINKED status type.
  `static epp_HostStatusType` | `OK` Instance of epp_HostStatusType representing the OK status type.
  `static epp_HostStatusType` | `PENDING_CREATE` Instance of epp_HostStatusType representing the PENDING_CREATE status type.
  `static epp_HostStatusType` | `PENDING_DELETE` Instance of epp_HostStatusType representing the PENDING_DELETE status type.
  `static epp_HostStatusType` | `PENDING_TRANSFER` Instance of epp_HostStatusType representing the PENDING_TRANSFER status type.
  `static epp_HostStatusType` | `PENDING_UPDATE` Instance of epp_HostStatusType representing the PENDING_UPDATE status type.
  `static epp_HostStatusType` | `SERVER_DELETE_PROHIBITED` Instance of epp_HostStatusType representing the SERVER_DELETE_PROHIBITED status type.
  `static epp_HostStatusType` | `SERVER_UPDATE_PROHIBITED` Instance of epp_HostStatusType representing the SERVER_UPDATE_PROHIBITED status type.
  `static int` | `_CLIENT_DELETE_PROHIBITED` Integer value representing the CLIENT_DELETE_PROHIBITED status type.
  `static int` | `_CLIENT_UPDATE_PROHIBITED` Integer value representing the CLIENT_UPDATE_PROHIBITED status type.
  `static int` | `_LINKED` Integer value representing the LINKED status type.
  `static int` | `_OK` Integer value representing the OK status type.
  `static int` | `_PENDING_CREATE` Integer value representing the PENDING_CREATE status type.
  `static int` | `_PENDING_DELETE` Integer value representing the PENDING_DELETE status type.
  `static int` | `_PENDING_TRANSFER` Integer value representing the PENDING_TRANSFER status type.
  `static int` | `_PENDING_UPDATE` Integer value representing the PENDING_UPDATE status type.
  `static int` | `_SERVER_DELETE_PROHIBITED` Integer value representing the SERVER_DELETE_PROHIBITED status type.
  `static int` | `_SERVER_UPDATE_PROHIBITED` Integer value representing the SERVER_UPDATE_PROHIBITED status type.

  ## Constructor Summary
  `epp_HostStatusType(int value)` For internal use only.

  ## Method Summary
  `static epp_HostStatusType` | `from_int(int value)` Transform an integer into a epp_HostStatusType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the type of status.

## Field Details

### CLIENT_DELETE_PROHIBITED

    public static final epp_HostStatusType CLIENT_DELETE_PROHIBITED

> Instance of epp_HostStatusType representing the CLIENT_DELETE_PROHIBITED status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### CLIENT_UPDATE_PROHIBITED

    public static final epp_HostStatusType CLIENT_UPDATE_PROHIBITED

> Instance of epp_HostStatusType representing the CLIENT_UPDATE_PROHIBITED status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### LINKED

    public static final epp_HostStatusType LINKED

> Instance of epp_HostStatusType representing the LINKED status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### OK

    public static final epp_HostStatusType OK

> Instance of epp_HostStatusType representing the OK status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### PENDING_CREATE

    public static final epp_HostStatusType PENDING_CREATE

> Instance of epp_HostStatusType representing the PENDING_CREATE status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### PENDING_DELETE

    public static final epp_HostStatusType PENDING_DELETE

> Instance of epp_HostStatusType representing the PENDING_DELETE status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### PENDING_TRANSFER

    public static final epp_HostStatusType PENDING_TRANSFER

> Instance of epp_HostStatusType representing the PENDING_TRANSFER status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### PENDING_UPDATE

    public static final epp_HostStatusType PENDING_UPDATE

> Instance of epp_HostStatusType representing the PENDING_UPDATE status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### SERVER_DELETE_PROHIBITED

    public static final epp_HostStatusType SERVER_DELETE_PROHIBITED

> Instance of epp_HostStatusType representing the SERVER_DELETE_PROHIBITED status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### SERVER_UPDATE_PROHIBITED

    public static final epp_HostStatusType SERVER_UPDATE_PROHIBITED

> Instance of epp_HostStatusType representing the SERVER_UPDATE_PROHIBITED status type. Used directly with epp_HostStatus.
> See Also:
>   `epp_HostStatus`

### _CLIENT_DELETE_PROHIBITED

    public static final int _CLIENT_DELETE_PROHIBITED

> Integer value representing the CLIENT_DELETE_PROHIBITED status type.
> Field Value:
>   0
> See Also:
>   `CLIENT_DELETE_PROHIBITED`

### _CLIENT_UPDATE_PROHIBITED

    public static final int _CLIENT_UPDATE_PROHIBITED

> Integer value representing the CLIENT_UPDATE_PROHIBITED status type.
> Field Value:
>   1
> See Also:
>   `CLIENT_UPDATE_PROHIBITED`

### _LINKED

    public static final int _LINKED

> Integer value representing the LINKED status type.
> Field Value:
>   2
> See Also:
>   `LINKED`

### _OK

    public static final int _OK

> Integer value representing the OK status type.
> Field Value:
>   3
> See Also:
>   `OK`

### _PENDING_CREATE

    public static final int _PENDING_CREATE

> Integer value representing the PENDING_CREATE status type.
> Field Value:
>   4
> See Also:
>   `PENDING_CREATE`

### _PENDING_DELETE

    public static final int _PENDING_DELETE

> Integer value representing the PENDING_DELETE status type.
> Field Value:
>   5
> See Also:
>   `PENDING_DELETE`

### _PENDING_TRANSFER

    public static final int _PENDING_TRANSFER

> Integer value representing the PENDING_TRANSFER status type.
> Field Value:
>   6
> See Also:
>   `PENDING_TRANSFER`

### _PENDING_UPDATE

    public static final int _PENDING_UPDATE

> Integer value representing the PENDING_UPDATE status type.
> Field Value:
>   7
> See Also:
>   `PENDING_UPDATE`

### _SERVER_DELETE_PROHIBITED

    public static final int _SERVER_DELETE_PROHIBITED

> Integer value representing the SERVER_DELETE_PROHIBITED status type.
> Field Value:
>   8
> See Also:
>   `SERVER_DELETE_PROHIBITED`

### _SERVER_UPDATE_PROHIBITED

    public static final int _SERVER_UPDATE_PROHIBITED

> Integer value representing the SERVER_UPDATE_PROHIBITED status type.
> Field Value:
>   9
> See Also:
>   `SERVER_UPDATE_PROHIBITED`

## Constructor Details

### epp_HostStatusType

    protected epp_HostStatusType(int value)

> For internal use only. Initializes the internal status type array.
> Parameters:
>   `value` - The integer value for the desired status type

## Method Details

### from_int

    public static epp_HostStatusType from_int(int value)

> Transform an integer into a epp_HostStatusType constant. Given the integer representation of the status type, returns one of the status type constants.
> Parameters:
>   `value` - The integer value for the desired status type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the type of status.
> Returns:
>   The integer value of this host status type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS